# Class TCefv8ContextRef

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFv8Context

## Declaration

`type TCefv8ContextRef = class(TCefBaseRefCountedRef, ICefv8Context)`

## Description

This item has no description.

## Hierarchy

- TInterfacedObject
- TCefBaseRefCountedRef
- TCefv8ContextRef

## Overview

### Methods

| `function GetTaskRunner: ICefTaskRunner;`
| `function IsValid: Boolean;`
| `function GetBrowser: ICefBrowser;`
| `function GetFrame: ICefFrame;`
| `function GetGlobal: ICefv8Value;`
| `function Enter: Boolean;`
| `function Exit: Boolean;`
| `function IsSame(const that: ICefv8Context): Boolean;`
| `function Eval(const code: ustring; const script_url: ustring; start_line: integer; var retval: ICefv8Value; var exception: ICefV8Exception): Boolean;`
| `class function UnWrap(data: Pointer): ICefv8Context;`
| `class function Current: ICefv8Context;`
| `class function Entered: ICefv8Context;`

## Description

### Methods

| `function GetTaskRunner: ICefTaskRunner;`
This item has no description. Showing description inherited from ICefv8Context.GetTaskRunner. Returns the task runner associated with this context. V8 handles can only be accessed from the thread on which they are created. This function can be called on any render process thread.

| `function IsValid: Boolean;`
This item has no description. Showing description inherited from ICefv8Context.IsValid. Returns true (1) if the underlying handle is valid and it can be accessed on the current thread. Do not call any other functions if this function returns false (0).

| `function GetBrowser: ICefBrowser;`
This item has no description. Showing description inherited from ICefv8Context.GetBrowser. Returns the browser for this context. This function will return an NULL reference for WebWorker contexts.

| `function GetFrame: ICefFrame;`
This item has no description. Showing description inherited from ICefv8Context.GetFrame. Returns the frame for this context. This function will return an NULL reference for WebWorker contexts.

| `function GetGlobal: ICefv8Value;`
This item has no description. Showing description inherited from ICefv8Context.GetGlobal. Returns the global object for this context. The context must be entered before calling this function.

| `function Enter: Boolean;`
This item has no description. Showing description inherited from ICefv8Context.Enter. Enter this context. A context must be explicitly entered before creating a V8 Object, Array, Function or Date asynchronously. exit() must be called the same number of times as enter() before releasing this context. V8 objects belong to the context in which they are created. Returns true (1) if the scope was entered successfully.

| `function Exit: Boolean;`
This item has no description. Showing description inherited from ICefv8Context.Exit. Exit this context. Call this function only after calling enter(). Returns true (1) if the scope was exited successfully.

| `function IsSame(const that: ICefv8Context): Boolean;`
This item has no description. Showing description inherited from ICefv8Context.IsSame. Returns true (1) if this object is pointing to the same handle as |that| object.

| `function Eval(const code: ustring; const script_url: ustring; start_line: integer; var retval: ICefv8Value; var exception: ICefV8Exception): Boolean;`
This item has no description. Showing description inherited from ICefv8Context.Eval. Execute a string of JavaScript code in this V8 context. The |script_url| parameter is the URL where the script in question can be found, if any. The |start_line| parameter is the base line number to use for error reporting. On success |retval| will be set to the return value, if any, and the function will return true (1). On failure |exception| will be set to the exception, if any, and the function will return false (0).

| `class function UnWrap(data: Pointer): ICefv8Context;`
This item has no description.

| `class function Current: ICefv8Context;`
This item has no description.

| `class function Entered: ICefv8Context;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.